Bug 1259075 - Review Request: python-jsonpath-rw-ext - Extensions for JSONPath RW
Review Request: python-jsonpath-rw-ext - Extensions for JSONPath RW
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Marko
Fedora Extras Quality Assurance
:
: 1267684 (view as bug list)
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-09-01 18:34 EDT by Haïkel Guémar
Modified: 2016-01-31 21:23 EST (History)
6 users (show)

See Also:
Fixed In Version: 0.1.7-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-10 16:34:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rmarko: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Haïkel Guémar 2015-09-01 18:34:19 EDT
Spec URL: https://hguemar.fedorapeople.org/reviews/python-jsonpath-rw-ext.spec
SRPM URL: https://hguemar.fedorapeople.org/reviews/python-jsonpath-rw-ext-0.1.7-1.fc22.src.rpm
Description: Extensions for JSONPath RW
Fedora Account System Username: hguemar
Comment 1 Richard Marko 2015-09-02 09:56:55 EDT
Lubomir takes another one.
Comment 2 Richard Marko 2015-09-02 12:30:14 EDT
APPROVED

Please enable tests if possible and consider adding your package to upstream release monitoring. Thank you!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 2 files have unknown license. Detailed output of licensecheck
     in /home/rmarko/1259075-python-jsonpath-rw-ext/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[-]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -jsonpath-rw-ext , python3-jsonpath-rw-ext , python-jsonpath-rw-ext-
     doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-jsonpath-rw-ext-0.1.7-1.fc22.noarch.rpm
          python3-jsonpath-rw-ext-0.1.7-1.fc22.noarch.rpm
          python-jsonpath-rw-ext-doc-0.1.7-1.fc22.noarch.rpm
          python-jsonpath-rw-ext-0.1.7-1.fc22.src.rpm
python-jsonpath-rw-ext-doc.noarch: W: summary-not-capitalized C jsonpath-rw-ext documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

Rpmlint (installed packages)
----------------------------
python-jsonpath-rw-ext-doc.noarch: W: summary-not-capitalized C jsonpath-rw-ext documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Requires
--------
python-jsonpath-rw-ext-doc (rpmlib, GLIBC filtered):

python2-jsonpath-rw-ext (rpmlib, GLIBC filtered):
    python(abi)

python3-jsonpath-rw-ext (rpmlib, GLIBC filtered):
    python(abi)

Provides
--------
python-jsonpath-rw-ext-doc:
    python-jsonpath-rw-ext-doc

python2-jsonpath-rw-ext:
    python-jsonpath-rw-ext
    python2-jsonpath-rw-ext

python3-jsonpath-rw-ext:
    python3-jsonpath-rw-ext

Source checksums
----------------
https://pypi.python.org/packages/source/j/jsonpath-rw-ext/jsonpath-rw-ext-0.1.7.tar.gz :
  CHECKSUM(SHA256) this package     : 5f0eddc279105543372c9e243ab614a70d67c08d22c9f04cbd9f31763b395035
  CHECKSUM(SHA256) upstream package : 5f0eddc279105543372c9e243ab614a70d67c08d22c9f04cbd9f31763b395035


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1259075
Buildroot used: fedora-22-x86_64
Comment 3 Haïkel Guémar 2015-09-04 15:42:42 EDT
Thanks!
Comment 4 Haïkel Guémar 2015-09-04 15:44:18 EDT
New Package SCM Request
=======================
Package Name: python-jsonpath-rw-ext
Short Description: Extensions for JSONPath RW
Upstream URL: https://github.com/sileht/python-jsonpath-rw-ext
Owners: hguemar apevec
Branches: f21 f22 f23 epel7
InitialCC:
Comment 5 Gwyn Ciesla 2015-09-04 16:57:16 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2015-09-08 15:30:29 EDT
python-jsonpath-rw-ext-0.1.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8001
Comment 7 Fedora Update System 2015-09-08 15:51:24 EDT
python-jsonpath-rw-ext-0.1.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15395
Comment 8 Fedora Update System 2015-09-08 16:13:20 EDT
python-jsonpath-rw-ext-0.1.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15396
Comment 9 Fedora Update System 2015-09-09 19:50:46 EDT
python-jsonpath-rw-ext-0.1.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-jsonpath-rw-ext'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8001
Comment 10 Fedora Update System 2015-09-09 22:07:51 EDT
python-jsonpath-rw-ext-0.1.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-jsonpath-rw-ext'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15396
Comment 11 Fedora Update System 2015-09-10 01:52:03 EDT
python-jsonpath-rw-ext-0.1.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-jsonpath-rw-ext'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15395
Comment 12 Fedora Update System 2015-09-10 16:34:13 EDT
python-jsonpath-rw-ext-0.1.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-09-19 14:55:28 EDT
python-jsonpath-rw-ext-0.1.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-09-19 17:51:18 EDT
python-jsonpath-rw-ext-0.1.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Haïkel Guémar 2015-09-30 13:00:49 EDT
*** Bug 1267684 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.